osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Which editor is suited for view a python package's source?


Nick Sarbicki? 2019?8?20???? UTC+8??1?33?32????
> Yes the community edition works fine.
> 
> It seems to require a 64 bit version of Windows 7 or higher (I'm not sure
> as I haven't used Windows in years).
> 
> On Tue, 20 Aug 2019, 03:27 , <jfong at ms4.hinet.net> wrote:
> 
> > Nick Sarbicki? 2019?8?19???? UTC+8??5?33?27????
> > > PyCharm takes you to the source code within the editor for any
> > > variables/functions/classes/modules if you ctrl+click on what you want to
> > > see. It allows you to browse the relevant bits of code quickly, as well
> > as
> > > let you change them in your local environment if need be.
> > >
> > > That way you don't have to download the source separately, you can just
> > use
> > > it as a normal dependency.
> > >
> > > But if you want to view the source of a project in isolation I imagine
> > any
> > > common editor will suffice. Personally I'll tend to look where the source
> > > is hosted (GitHub, GitLab etc) instead of downloading it. But I can
> > > understand why some may not trust this.
> > >
> > > On Mon, 19 Aug 2019, 10:17 , <jfong at ms4.hinet.net> wrote:
> > >
> > > > I like to download one package's source and study it in an editor. It
> > > > allows me to open the whole package as a project and let me jump from a
> > > > reference in one file to its definition in another file back and
> > forth. It
> > > > will be even better if it can handle the import modules too. (Maybe
> > this is
> > > > too much:-)
> > > >
> > > > Can anyone recommend such a tool?
> > > >
> > > > --Jach
> > > > --
> > > > https://mail.python.org/mailman/listinfo/python-list
> > > >
> >
> > There is a free community version of PyCharm. Will it support the
> > cross-reference of viewing different files in different subdirectory? and
> > what Windows versions it requires?
> >
> > --Jach
> > --
> > https://mail.python.org/mailman/listinfo/python-list
> >

Then, I can only download the older version 2016.2.3 for my old 32 bit system:-( 

--Jach